﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class lowdronesound : MonoBehaviour
{
    int objno = 1; // set this to the RTcmix instance you are using for this script
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        string score = "wave = maketable(\"wave\", 1000, \"saw\") " +
            "amp = 10000 " +
            "freq = 40 " +
            "WAVETABLE(0, 9999, amp, freq+irand(0, 1), 0.5, wave) " +
            "WAVETABLE(0, 9999, amp, freq+irand(0, 1), 0.5, wave) " +
            "WAVETABLE(0, 9999, amp, freq+irand(0, 1), 0.5, wave) " +
            "WAVETABLE(0, 9999, amp, freq+irand(0, 1), 0.5, wave) ";

        RTcmix.SendScore(score, objno);

        did_start = true;
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    // called once for each sample-buffer. data[] contains incoming and outgoing samples
    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0); // set "0" to "1" for input processing
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
