﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class metacubesound : MonoBehaviour
{
    int objno = 0; // set this to the RTcmix instance you are using for this script
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        string score = "array = {7.05, 7.07, 7.09, 7.1, 8., 8.03, 8.05, 8.07, 8.08, 8.09, 8.1, 9., 9.05, 9.07, 10.00} " +
        "arrsize = len(array) " +
        "st = 0 " +
        "for (i = 0; i < 20; i = i+1) { " +
        "	pos = random() " +
        "	hard = random() " +
        "	inst = irand(0, 8.999) " +
        "	index = trunc(irand(0, arrsize)) " +
        "	pch = array[index] " +
        "	MMODALBAR(st, 1., 20000, cpspch(pch), hard, pos, inst) " +
        "	st = st + 0.11 " +
        "} " +
        "MAXBANG(st) ";
        RTcmix.SendScore(score, objno);

        did_start = true;
    }

    // Update is called once per frame
    void Update()
    {
        
    }


    // called once for each sample-buffer. data[] contains incoming and outgoing samples
    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 0); // set "0" to "1" for input processing

        if (RTcmix.checkbangRTcmix(objno) == 1)
        {
            string score = "array = {7.05, 7.07, 7.09, 7.1, 8., 8.03, 8.05, 8.07, 8.08, 8.09, 8.1, 9., 9.05, 9.07, 10.00} " +
                    "arrsize = len(array) " +
                    "st = 0 " +
                    "for (i = 0; i < 20; i = i+1) { " +
                    "	pos = random() " +
                    "	hard = random() " +
                    "	inst = irand(0, 8.999) " +
                    "	index = trunc(irand(0, arrsize)) " +
                    "	pch = array[index] " +
                    "	MMODALBAR(st, 1., 20000, cpspch(pch), hard, pos, inst) " +
                    "	st = st + 0.11 " +
                    "} " +
                    "MAXBANG(st) ";
            RTcmix.SendScore(score, objno);
        }
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
