﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class moogfilt : MonoBehaviour
{
    int objno = 2; // set this to the RTcmix instance you are using for this script
    rtcmixmain RTcmix;
    private bool did_start = false;


    private void Awake()
    {
        // find the RTcmixmain object with the RTcmix function definitions
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }


    // Use this for initialization
    void Start()
    {
        // initialize RTcmix
        RTcmix.initRTcmix(objno);

        string score = "rtinput(\"AUDIO\") " +
            "freq = makeconnection(\"inlet\", 1, 1700) " +
            "MOOGVCF(0, 0, 9999, 1, 0, 0.5, 0, freq, 0.8) ";

        RTcmix.SendScore(score, objno);

        did_start = true;
    }

    // Update is called once per frame
    void Update()
    {
        float value = Mathf.PingPong(Time.time, 1.0f) * 2000.0f;

        RTcmix.setpfieldRTcmix(1, value, objno); // set a PField to a value
    }

    // called once for each sample-buffer. data[] contains incoming and outgoing samples
    void OnAudioFilterRead(float[] data, int channels)
    {
        if (!did_start) return;

        // compute sound samples
        RTcmix.runRTcmix(data, objno, 1); // set "0" to "1" for input processing
    }


    void OnApplicationQuit()
    {
        did_start = false;
        RTcmix = null;
    }
}
